# MeasurementSource

class `propertyestimator.properties.``MeasurementSource`(doi='', reference='')

  Contains any metadata about how a physical property was measured by experiment.

  This class contains either the DOI and/or the reference, but must contain at least one as the observable must have a source, even if it was measured in lab.

  `doi`

    The DOI for the source, preferred way to identify for source

    Type

      str or None, default None

  `reference`

    The long form description of the source if no DOI is available, or more information is needed or wanted.

    Type

      str

  `__init__`(doi='', reference='')

    Constructs a new MeasurementSource object.

    Parameters

      - doi (str or None , default None) – The DOI for the source, preferred way to identify for source

      - reference (str) – The long form description of the source if no DOI is available, or more information is needed or wanted.

  Methods

  `__init__`([doi, reference]) | Constructs a new MeasurementSource object.
  `json`() | Creates a JSON representation of this class.
  `parse_json`(string_contents[, encoding]) | Parses a typed json string into the corresponding class structure.

  `json`()

    Creates a JSON representation of this class.

    Returns

      The JSON representation of this class.

    Return type

      str

  classmethod `parse_json`(string_contents, encoding='utf8')

    Parses a typed json string into the corresponding class structure.

    Parameters

      - string_contents (str or bytes) – The typed json string.

      - encoding (str) – The encoding of the string_contents.

    Returns

      The parsed class.

    Return type

      Any